# Generated by Django 3.2.15 on 2022-10-24 10:10

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Autor',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('vorname', models.CharField(blank=True, max_length=100)),
                ('nachname', models.CharField(max_length=200)),
            ],
            options={
                'verbose_name': 'Autor',
                'verbose_name_plural': 'Autoren',
                'ordering': ('nachname', 'vorname'),
            },
        ),
        migrations.CreateModel(
            name='Medium',
            fields=[
                ('id', models.CharField(max_length=100, primary_key=True, serialize=False, verbose_name='Bezeichner')),
            ],
            options={
                'verbose_name': 'Medium',
                'verbose_name_plural': 'Medien',
            },
        ),
        migrations.CreateModel(
            name='Verlag',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200, unique=True)),
            ],
            options={
                'verbose_name': 'Verlag',
                'verbose_name_plural': 'Verlage',
                'ordering': ('name',),
            },
        ),
        migrations.CreateModel(
            name='Buch',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('titel', models.CharField(max_length=300)),
                ('isbn', models.CharField(blank=True, max_length=17, verbose_name='ISBN')),
                ('ausgabe', models.CharField(blank=True, max_length=50)),
                ('beschreibung', models.TextField(blank=True)),
                ('autoren', models.ManyToManyField(related_name='buecher', to='ausleihe.Autor')),
                ('medium', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='buecher', to='ausleihe.medium')),
                ('verlag', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='buecher', to='ausleihe.verlag')),
            ],
            options={
                'verbose_name': 'Buch',
                'verbose_name_plural': 'Bücher',
            },
        ),
    ]
